<!doctype html>
<html lang="en">

<head>
  <!-- Required meta tags -->
  <meta charset="utf-8">
  <meta name="viewport" content="width=device-width, initial-scale=1">

  <!-- Bootstrap CSS -->
  <link href="https://cdn.jsdelivr.net/npm/bootstrap@5.1.3/dist/css/bootstrap.min.css" rel="stylesheet"
    integrity="sha384-1BmE4kWBq78iYhFldvKuhfTAU6auU8tT94WrHftjDbrCEXSU1oBoqyl2QvZ6jIW3" crossorigin="anonymous">

  <link rel="stylesheet" href="https://cdn.jsdelivr.net/npm/bootstrap-icons@1.8.3/font/bootstrap-icons.css">

  <title>Movies</title>
</head>

<body>
  <div class="container table-responsive">
    <table class="table table-hover caption-top align-middle">
      <caption>List of movies
        <a class="btn btn-success" href="/movies/add" role="button"><i class="bi-plus-circle"></i></a>
      </caption>
      <thead>
        <tr>
          <th scope="col">#</th>
          <th scope="col">Title</th>
          <th scope="col">Genres</th>
          <th scope="col">Duration</th>
          <th scope="col">Studio</th>
          <th scope="col"></th>
        </tr>
      </thead>
      <tbody>
        <% let i=0;%>
          <% movies.forEach(movie=> {%>
            <tr>
              <th scope="row">
                <%= ++i %>
              </th>
              <td>
                <%= movie.title %>
              </td>
              <td>
                <%= movie.genres %>
              </td>
              <td>
                <%= movie.duration %>
              </td>
              <td>
                <%= movie.studio %>
              </td>
              <td>
                <a class="btn btn-warning" href="/movies/edit/<%= movie.id %>" role="button"><i
                    class="bi-pencil"></i></a>
                <a class="btn btn-danger" href="/movies/delete/<%= movie.id %>" role="button"><i
                    class="bi-trash"></i></a>
              </td>
            </tr>
            <% });%>
      </tbody>
    </table>
  </div>
  <script src="https://cdn.jsdelivr.net/npm/bootstrap@5.1.3/dist/js/bootstrap.bundle.min.js"
    integrity="sha384-ka7Sk0Gln4gmtz2MlQnikT1wXgYsOg+OMhuP+IlRH9sENBO0LRn5q+8nbTov4+1p"
    crossorigin="anonymous"></script>
</body>

</html>